# == Class: django
#
# Class to install django
#
# Parameters:
#
# None
#

class django {

    # validate_platform() function comes from
    # puppet module gajdaw/diverse_functions
    #
    #     https://forge.puppetlabs.com/gajdaw/diverse_functions
    #
    if !validate_platform($module_name) {
        fail("Platform not supported in module '${module_name}'.")
    }


    $packages = [
        'python-django',
        'python-imaging',
        'python-pythonmagick',
        'python-markdown',
        'python-textile',
        'python-docutils'
    ]

    ensure_packages($packages)

}